index.term.separator
Prev | ToC/LoT/Index Generation | Next

## index.term.separator

index.term.separator — Override for punctuation separating an index term from its list of page references in an index

## Synopsis

    <xsl:param name="index.term.separator"></xsl:param>

## Description

This parameter permits you to override the text to insert between the end of an index term and its list of page references. Typically that might be a comma and a space.

Because this text may be locale dependent, this parameter's value is normally taken from a gentext template named 'term-separator' in the context 'index' in the stylesheet locale file for the language of the current document. This parameter can be used to override the gentext string, and would typically be used on the command line. This parameter would apply to all languages.

So this text string can be customized in two ways. You can reset the default gentext string using the `local.l10n.xml` parameter, or you can fill in the content for this normally empty override parameter. The content can be a simple string, or it can be something more complex such as a call-template. For fo output, it could be an `fo:leader` element to provide space of a specific length, or a dot leader.

Prev | Up | Next
index.range.separator | Home | xep.index.item.properties